Skip to main content
GET
/
api
/
v1
/
school
/
student-promotion-history
/
{id}
Get by ID student promotion history
curl --request GET \
  --url https://api.example.com/api/v1/school/student-promotion-history/{id}/ \
  --header 'Authorization: Bearer <token>'
{
  "promotion_execution": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "student": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "source_session_class": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "action": "pending",
  "boarding_status": "Boarding",
  "decided_by": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "execution_date": null,
  "student_name": "<string>",
  "source_class_name": "<string>",
  "destination_session_class": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "destination_class_name": "<string>",
  "decided_by_name": "<string>",
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string<uuid>
required

A UUID string identifying this student promotion history.

Response

200 - application/json
promotion_execution
string<uuid>
required
student
string<uuid>
required
source_session_class
string<uuid>
required
action
enum<string>
required
  • pending - Pending
  • promote - Promote
  • repeat - Repeat
  • transfer - Transfer
  • graduate - Graduate
  • drop_out - Drop Out
Available options:
pending,
promote,
repeat,
transfer,
graduate,
drop_out
boarding_status
enum<string>
required
  • Boarding - Boarding
  • Day - Day
Available options:
Boarding,
Day
decided_by
string<uuid>
required
id
string<uuid>
execution_date
unknown
student_name
string | null
source_class_name
string | null
destination_session_class
string<uuid> | null
destination_class_name
string | null
decided_by_name
string | null
created_at
string<date-time>
updated_at
string<date-time>